> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Notify transaction delivery

> Updates the transaction to delivery status and the total amount

<Note>For additional details on how transaction statuses works, click this [link](/about/transaction-status)</Note>

<RequestExample>
  ```bash Request theme={null}
  curl --location --request PUT 'https://staging-api.propaga.io/v1/transaction/{transactionId}' \
  --header 'Authorization: <your_awesome_token>' \
  --header 'Content-Type: application/json' \
  --data '{
      "status": "delivery",
      "transactionAmount": 12345
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "success": true
  }
  ```
</ResponseExample>

## Path parameters

<ParamField path="transactionId" type="string" required>
  Propaga's transaction id
</ParamField>

## Body

<ParamField body="status" type="string" required>
  Transaction's new status, in this case always had to be `delivery`
</ParamField>

<ParamField body="transactionAmount" type="number" required>
  New transaction amount: We will automatically recalculate the associated commissions based on the updated amount.
</ParamField>

<ParamField body="latitude" type="number" required={false}>
  Latitude of the delivery location
</ParamField>

<ParamField body="longitude" type="number" required={false}>
  Longitude of the delivery location
</ParamField>

<ParamField body="locationDescription" type="string" required={false}>
  Description of the delivery location
</ParamField>

## Response

<ResponseField name="success" type="boolean" />

## Error codes

<ResponseField>
  ```json Transaction not found (404) theme={null}
  {
      "errorCode": "TRANSACTION_NOT_FOUND",
      "errorMessage": "This transaction not found"
  }
  ```

  ```json Transaction is not on on-hold status (422) theme={null}
  {
      "errorCode": "TRANSACTION_IS_NOT_IN_HOLD",
      "errorMessage": "Your transaction is not in hold status"
  }
  ```

  ```json Field transactionAmount is not on the request (400) theme={null}
  {
      "errorCode": "TRANSACTION_AMOUNT_NOT_FOUND",
      "errorMessage": "You should send transactionAmount"
  }
  ```
</ResponseField>
